Отказ в обслуживании в HAProxy

Дата публикации:
19.06.2013
Дата изменения:
19.06.2013
Всего просмотров:
861
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:N/A:P/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2013-2175
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
HAProxy 1.4.x
Уязвимые версии: HAProxy версии с 1.4.4 по 1.4.23

Описание:
Уязвимость позволяет злоумышленнику произвести DoS атаку.

Уязвимость существует из-за ошибки при обработке заголовков. Удаленный пользователь может с помощью специально сформированного заголовка произвести DoS атаку.

Примечание: Для успешной эксплуатации уязвимости необходимо, чтобы в конфигурации присутствовали положения "hdr_ip(name,-1)" или "usesrc hdr_ip(name)".

URL производителя: http://haproxy.1wt.eu/

Решение: Установите последнюю версию 1.4.24 с сайта производителя.

Ссылки: http://haproxy.1wt.eu/download/1.4/src/CHANGELOG
http://www.openwall.com/lists/oss-security/2013/06/17/5

или введите имя

CAPTCHA